//
//  NSDictionaryHelpers.h
//  GlyphsFileFormatOTF
//
//  Created by Georg Seifert on 15.10.09.
//  Copyright 2009 schriftgestaltung.de. All rights reserved.
//

#import <GlyphsCore/MGOrderedDictionary.h>
#import <Cocoa/Cocoa.h>

@interface NSDictionary (GetObjectForKeys)
/**
You have to be carful with nil arguments.
*/
- (id)objectForKeys:(id)firstObj, ... NS_REQUIRES_NIL_TERMINATION;

- (id)objectForKeysInArray:(NSArray *)inKeys;

- (id)objectForKeyPath:(NSString *)inKeyPath;

- (NSDictionary *)reverseMapping;

@end

@interface NSMutableDictionary (SetObjectForKeysInArray)

- (void)setObject:(id)inValue forKeysInArray:(NSArray *)inKeys;

- (nonnull id)objectForKey:(nonnull id)aKey defaultClass:(nonnull Class)defaultClass;

@end

@interface MGOrderedDictionary (SetObjectOrderedForKeysInArray)

- (void)setObject:(id)inValue forKeysInArray:(NSArray *)inKeys;

@end
