//
//  NSString+BadgeDrawing.h
//  GlyphsCore
//
//  Created by Georg Seifert on 01.05.16.
//  Copyright © 2016 schriftgestaltung.de. All rights reserved.
//

#import <GlyphsCore/GSGeometrieHelper.h>
#import <Foundation/Foundation.h>

@class GSLayer;

@interface NSString (BadgeDrawing)

// to make it accessible in Scripts
/**
 This returnes the font size depending on the handleSize. It can be '0', '1', and '2'. To get the default value as set in Prefreences, use '-1'
 */
+ (CGFloat)fontSizeForHandleSize:(int)handleSize;

+ (NSDictionary *)drawTextAttributes:(NSColor *)textColor fontSize:(CGFloat *)fontSize;

+ (NSFont *)drawTextFontWithSize:(CGFloat *)fontSize;

- (void)drawBadgeAtPoint:(NSPoint)position alignment:(GSAlignment)alignment;

- (NSRect)drawBadgeAtPoint:(NSPoint)position alignment:(GSAlignment)alignment visibleInRect:(NSRect)visibleRect active:(BOOL)active;

- (NSRect)drawBadgeAtPoint:(NSPoint)position size:(CGFloat)textSize color:(NSColor *_Nullable)color backgroundColor:(NSColor *_Nullable)backgroundColor alignment:(GSAlignment)alignment visibleInRect:(NSRect)visibleRect;

- (NSRect)drawAtPoint:(NSPoint)position color:(NSColor *_Nullable)textColor;

- (NSRect)drawAtPoint:(NSPoint)position color:(NSColor *_Nullable)textColor alignment:(GSAlignment)alignment handleSize:(int)handleSize;

- (NSRect)drawAtPoint:(NSPoint)position color:(NSColor *_Nullable)textColor alignment:(GSAlignment)alignment visibleInRect:(NSRect)visibleRect handleSize:(int)handleSize;

- (CGFloat)drawAtPoint:(CGPoint)basePoint angle:(CGFloat)angle offset:(CGFloat)offset size:(CGFloat)size color:(NSColor *_Nullable)color alignment:(GSAlignment)alignment;

@end

@interface NSAttributedString (BadgeDrawing)

- (NSRect)drawAtPoint:(NSPoint)position alignment:(GSAlignment)alignment;

- (NSRect)drawAtPoint:(NSPoint)position alignment:(GSAlignment)alignment visibleInRect:(NSRect)visibleRect;

- (NSRect)drawAtPoint:(NSPoint)drawPoint alignment:(GSAlignment)alignment visibleInRect:(NSRect)visibleRect scale:(CGFloat)scale;
@end
